Comments

1981 Comments
User Icon malen commented & provided feedback on gramps-5.1.2-1.fc31 a day ago
karma

Work fine

Thanks, I'll fix that.

karma

Works for me. No regressions noted compared to previous version.

karma

+1

karma

works for me

Just as a heads-up: You're now missing something like ExclusiveArch: %{qt5_qtwebengine_arches}, since QtWebEngine isn't available on ppc64le and s390x. This also affects the rawhide build.

See mnemosyne for another example of this: https://src.fedoraproject.org/rpms/mnemosyne/blob/master/f/mnemosyne.spec

For reference: This is the "Noarch with unported dependencies" case, as it's called in the packaging guidelines: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_noarch_with_unported_dependencies

Yes, I'll push a corrected package.

It does! It is a missing dependency, it should have pulled it in, right?

Does installing python3-qt5-webengine fix this?

karma

Doesn't start, it raises an error:

[david@LCARS2 ~]$ frescobaldi Traceback (most recent call last): File "/bin/frescobaldi", line 24, in <module> import main File "/usr/lib/python3.7/site-packages/frescobaldi_app/main.py", line 34, in <module> import app # Instantiate global signals etc File "/usr/lib/python3.7/site-packages/frescobaldi_app/app.py", line 34, in <module> import PyQt5.QtWebEngineWidgets ModuleNotFoundError: No module named 'PyQt5.QtWebEngineWidgets'

BZ#1783311 RFE - build a python-astroid package for EPEL8
BZ#1787911 Missing dependency on `six~=1.12` and `lazy_object_proxy==1.4.*`
BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint
BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint

This update works along with python-astroid to fix the pylint issue. This works in my local as well as my COPR.

BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint

This update needs python-lazy-object-proxy update to fix the pylint issue. This works in my local as well as my COPR.

BZ#1783311 RFE - build a python-astroid package for EPEL8
BZ#1787911 Missing dependency on `six~=1.12` and `lazy_object_proxy==1.4.*`
BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint
BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint

Fresh installation of python3-pylint-2.3.1-2.fc31.noarch with https://kojipkgs.fedoraproject.org//packages/python-astroid/2.3.3/3.gitace7b29.fc31/noarch/python3-astroid-2.3.3-3.gitace7b29.fc31.noarch.rpm causes things to fail with pkg_resources.DistributionNotFound: The 'six~=1.12' distribution was not found and is required by astroid.

So that's probably another dependency which is needed.

BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint

+1

BZ#1787911 Missing dependency on `six~=1.12` and `lazy_object_proxy==1.4.*`
BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint

This update fixes our CI pipeline

Before building: Build on Fedora 31 fails With this update: F31 succeeds

PS: I built python-astroid from the srpm in the koji, in my COPR

BZ#1788084 python3-astroid-2.3.3-2.gitace7b29.fc31 breaks pylint